#
# spec file for package spamassassin
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define ix_version 2.05
%define spd_version 2.42
# http://www.worlddesign.com/index.cfm/rd/mta/spampd.htm

%define IXHASH iXhash2-%{ix_version}
%define SPAMPD spampd-%{spd_version}

Name:           spamassassin
Summary:        Extensible email filter which is used to identify spam
License:        Apache-2.0
Group:          Productivity/Networking/Email/Utilities
Version:        3.4.1
Release:        56.3
%define sa_version 3.4.1
%define rules_revision 1675274
Url:            http://spamassassin.org/
Source:         http://apache.mirrors.hoobly.com//spamassassin/source/Mail-SpamAssassin-%{version}.tar.bz2
Source1:        http://apache.mirrors.hoobly.com//spamassassin/source/Mail-SpamAssassin-rules-%{version}.r%{rules_revision}.tgz
Source2:        %{IXHASH}.tar.gz
Source3:        %{SPAMPD}.tar.bz2
Source10:       local.cf
Source11:       init.spamd
Source12:       sysconfig.spamd
Source13:       init.spampd
Source14:       sysconfig.spampd
Source15:       suse.cron-sa-update
Source16:       spamd.service
Source17:       spampd.service
Patch1:         patch-PgSQL
Patch2:         patch-URIDNSBL
Patch3:         patch-SQL_ASCII_SORT
Patch6:         bnc#582111.diff
Patch10:        iXhash2-meta-rules.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
PreReq:         %insserv_prereq %fillup_prereq
BuildRequires:  dos2unix
BuildRequires:  openssl-devel
#
Requires:       perl-IO-Socket-INET6
Requires:       perl-Mail-DKIM
Requires:       perl-Mail-SpamAssassin = %version
Requires:       re2c
Requires:       perl(Net::Server::PreForkSimple)
%if 0%{?suse_version} > 1140
BuildRequires:  systemd
%{?systemd_requires}
%endif

%description
spamassassin adds a header line that shows if the mail has been
determined spam or not. This way, you can decide what to do with the
mail within the scope of your own filtering rules in your MUA (Mail
User Agent, your mail program) or your LDA (Local Delivery Agent).

See the files in the documentation directory
/usr/share/doc/packages/spamassassin/ for more information on how to
use the filter.

%package -n perl-Mail-SpamAssassin
Summary:        Perl Modules For Using Spamassassin Within An Own Perl Script
Group:          Development/Libraries/Perl
BuildRequires:  perl
BuildRequires:  perl-Error
%if 0%{?suse_version} && 0%{?suse_version} <= 1210
BuildRequires:  perl-macros
%endif
BuildRequires:  perl(Archive::Tar) >= 1.23
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(Errno)
BuildRequires:  perl(File::Copy) >= 2.02
BuildRequires:  perl(File::Spec) >= 0.8
BuildRequires:  perl(HTML::Parser) >= 3.43
BuildRequires:  perl(IO::Zlib) >= 1.04
BuildRequires:  perl(Mail::DKIM) >= 0.37
BuildRequires:  perl(Net::DNS) >= 0.34
BuildRequires:  perl(NetAddr::IP) >= 4.000
BuildRequires:  perl(Pod::Usage) >= 1.10
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Time::Local)
# optional, but want them for build (test)
%if 0%{?suse_version} >= 1100
BuildRequires:  perl(Mail::SPF)
%endif
BuildRequires:  perl(DBI)
BuildRequires:  perl(Encode::Detect)
BuildRequires:  perl(IO::Socket::INET6)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(IP::Country)
BuildRequires:  perl(Net::Ident)
BuildRequires:  perl(Razor2::Client::Agent) >= 2.61
#
Requires:       perl-libwww-perl
Requires:       perl(Archive::Tar) >= 1.23
Requires:       perl(Digest::SHA1)
Requires:       perl(Errno)
Requires:       perl(File::Copy) >= 2.02
Requires:       perl(File::Spec) >= 0.8
Requires:       perl(HTML::Parser) >= 3.43
%if 0%{?suse_version} > 1210
# Required perl(Socket) version 1.97+ is only available in 12.2+
Requires:       perl(IO::Socket::IP)
%endif
Requires:       perl(IO::Zlib) >= 1.04
Requires:       perl(Mail::DKIM) >= 0.37
Requires:       perl(Net::DNS) >= 0.34
Requires:       perl(NetAddr::IP) >= 4.010
Requires:       perl(Pod::Usage) >= 1.10
Requires:       perl(Sys::Hostname)
Requires:       perl(Time::HiRes)
Requires:       perl(Time::Local)
# optional
%if 0%{?suse_version} >= 1100
Recommends:     perl(Mail::SPF)
%endif
Recommends:     perl(Net::Patricia)
Recommends:     perl(Razor2::Client::Agent) >= 2.61
Recommends:     perl(IO::Socket::INET6)
Recommends:     perl(IO::Socket::SSL)
Recommends:     perl(DBI)
Recommends:     perl(Encode::Detect)
Recommends:     cron
Provides:       perl-spamassassin = %version
Obsoletes:      perl-spamassassin < %version

%description -n perl-Mail-SpamAssassin
This package contains the perl modules for the spamassassin, including
the filter rules. This package is required for the package
"spamassassin", the commandline tool.

%package -n perl-Mail-SpamAssassin-Plugin-iXhash2
Summary:        The iXhash plugin for SpamAssassin
Group:          Development/Libraries/Perl
Requires:       perl-Mail-SpamAssassin = %version
Requires:       perl(Digest::MD5)
Version:        %{ix_version}
Release:        56.3
Provides:       perl-Mail-SpamAssassin-Plugin-iXhash = %{ix_version}
Obsoletes:      perl-Mail-SpamAssassin-Plugin-iXhash < 2
%{perl_requires}

%description -n perl-Mail-SpamAssassin-Plugin-iXhash2
This archive contains the iXhash2 plugin for the SpamAssassin spam filtering
software, along with an example config file.

Basically the plugin provides a network-based test just as razor2, pyzor
and DCC do. Working solely on the body of an email, it removes parts of it
and computes a hash value from the rest. These values will then be looked up
via DNS using the domains given in the config file(s). You need Net::DNS and
Digest::MD5 installed

%prep
%setup -q -n Mail-SpamAssassin-%{sa_version} -a 2 -a 3
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch6 -p0
%patch10 -p0

%build
if [ -e t/data/whitelists/winxpnews.com ]; then
    echo "t/data/whitelists/winxpnews.com is not allowed to be distributed."
    echo "see #102221"
    #exit -1 # hidden bug description, so I can't see there - ignored
fi;
if [ -e build/cf_to_html ]; then
    echo "build/cf_to_html is not allowed to be distributed."
    echo "see #102221"
    #exit -1 # hidden bug description, so I can't see there - ignored
fi;

export CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" \
 CONTACT_ADDRESS="postmaster" ENABLE_SSL="yes"

%{__make}

%check
# fails now... FIGURE out why
#%#{__make} test

%install
## perl-Mail-SpamAssassin stuff
%perl_make_install
%perl_process_packlist
%perl_gen_filelist
# remove %%{_bindir} from filelist
%{__sed} -i -e "/\/usr\/bin/d" %{name}.files
# package only %%{_mandir}/man3
%{__sed} -i -e "s,%{_mandir}/man?,%{_mandir}/man3," %{name}.files
#
## perl-Mail-SpamAssassin-Plugin-iXhash2 stuff
%{__install} -d $RPM_BUILD_ROOT/etc/mail/spamassassin
cp %{IXHASH}/iXhash2.pm $RPM_BUILD_ROOT%{perl_vendorlib}/Mail/SpamAssassin/Plugin
cp %{IXHASH}/iXhash2.cf $RPM_BUILD_ROOT/etc/mail/spamassassin/iXhash2.cf
#
## spamassassin stuff
%{__install} -d $RPM_BUILD_ROOT/etc/cron.daily/
%{__install} -m 0755 %{S:15} $RPM_BUILD_ROOT/etc/cron.daily/
%{__install} -D -m0755 %{SPAMPD}/spampd.pl $RPM_BUILD_ROOT%{_sbindir}/spampd
mv $RPM_BUILD_ROOT%{_bindir}/spamd $RPM_BUILD_ROOT%{_sbindir}/
%{__install} -m 0644 %{S:10} $RPM_BUILD_ROOT/etc/mail/spamassassin/local.cf
%if 0%{?suse_version} > 1140
%{__ln_s} %{_sbindir}/service %{buildroot}%{_sbindir}/rcspamd
%{__ln_s} %{_sbindir}/service %{buildroot}%{_sbindir}/rcspampd
%else
%{__install} -D -m 0755 %{S:11} $RPM_BUILD_ROOT/etc/init.d/spamd
%{__install} -m 0755 %{S:13} $RPM_BUILD_ROOT/etc/init.d/spampd
%{__ln_s} ../../etc/init.d/spamd $RPM_BUILD_ROOT/usr/sbin/rcspamd
%{__ln_s} ../../etc/init.d/spampd $RPM_BUILD_ROOT/usr/sbin/rcspampd
%endif
echo "Most of the documentation is at ../perl-Mail-SpamAssassin/." > README.SUSE
%{__install} -D -m 0640 %{S:12} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.spamd
%{__install} -m 0640 %{S:14} $RPM_BUILD_ROOT/var/adm/fillup-templates/
test -f $RPM_BUILD_ROOT/usr/share/spamassassin/user_prefs.template || {
	echo "MakeMaker is broken again..."
	exit 1
}
%{__install} -d $RPM_BUILD_ROOT/usr/share/spamassassin
pushd $RPM_BUILD_ROOT/usr/share/spamassassin && tar -xjf %{S:1} && popd

%if 0%{?suse_version} > 1140
## systemd stuff
mkdir -p %{buildroot}/%{_unitdir}
%{__install} -D -m 644 %{S:16} %{buildroot}/%{_unitdir}
%{__install} -D -m 644 %{S:17} %{buildroot}/%{_unitdir}
%endif

%post
%if %suse_version > 1140
%service_add_post spamd.service
%service_add_post spampd.service
%{fillup_only -n spamd}
%{fillup_only -n spampd}
%else
%{fillup_and_insserv -n spamd}
%{fillup_and_insserv -n spampd}
%endif

%pre
%if %suse_version > 1140
%service_add_pre spamd.service
%service_add_pre spampd.service
%endif

%preun
%stop_on_removal spamd
%if %suse_version > 1140
%service_del_preun spamd.service
%service_del_preun spampd.service
%endif

%postun
%restart_on_update spamd
%insserv_cleanup
%if %suse_version > 1140
%service_del_postun spamd.service
%service_del_postun spampd.service
%endif

%files
%defattr(-,root,root)
%doc spamd/README* spamd/PROTOCOL
%doc %{_mandir}/man1/*
%{_bindir}/*
%{_sbindir}/*
/var/adm/fillup-templates/sysconfig.spamd
/var/adm/fillup-templates/sysconfig.spampd
%if 0%{?suse_version} > 1140
%{_unitdir}/spamd.service
%{_unitdir}/spampd.service
%else
%config %attr(744,root,root) /etc/init.d/spamd
%config %attr(744,root,root) /etc/init.d/spampd
%endif

%files -n perl-Mail-SpamAssassin -f %{name}.files
%defattr(-,root,root)
%doc CREDITS Changes LICENSE MANIFEST* NOTICE PACKAGING README
%doc TRADEMARK UPGRADE USAGE sample-nonspam.txt sample-spam.txt
%doc ldap sql
%dir /etc/mail
%config(noreplace) /etc/mail/spamassassin
%config(noreplace) /etc/cron.daily/suse.cron-sa-update
%exclude /etc/mail/spamassassin/iXhash2.cf
%dir /usr/share/spamassassin
/usr/share/spamassassin/*

%files -n perl-Mail-SpamAssassin-Plugin-iXhash2
%defattr(-,root,root)
%doc %{IXHASH}/CHANGELOG %{IXHASH}/LICENSE %{IXHASH}/README 
%config(noreplace) /etc/mail/spamassassin/iXhash2.cf
%{perl_vendorlib}/Mail/SpamAssassin/Plugin/iXhash2.pm

%changelog
* Tue Jan 12 2016 bwiedemann@suse.com
- use service command to restart spamd and amavis (boo#961279)
* Sun Nov 29 2015 opensuse@dstoecker.de
- change default spampd settings to properly support IPv6 and allow larger SPAM
* Wed Aug 26 2015 hsk@imb-jena.de
- disable again "make test" (seems not to like being run offline)
* Thu Jul  9 2015 hsk@imb-jena.de
- update to 3.4.1
  * new plugins (disabled by default)
    TxRep -substantially improved replacement of AWL plugin
    PDFInfo - help detecting spam with attached PDF files
    URILocalBL - new rule test types for URIs in html message parts
  * several new or enhanced configuration options, e.g.:
    normalize_charset - reimplemented, see Mail::SpamAssassin::Conf
    bayes_token_sources - more control on sources of tokens for Bayes plugin
  * internal change, probably only affecting 3rd party plugins:
    Util::RegistrarBoundaries is being replaced by RegistryBoundaries
  * rule updates, improvements, optimizations, bug fixes
- patch-utf8 removed, cf. bz.apache.org/SpamAssassin/show_bug.cgi?id=7133
- re-enable "make test" for 13.2 and up
* Mon Feb  2 2015 mpluskal@suse.com
- Enable reload in unit files (boo#915736)
* Tue Jan  6 2015 mpluskal@suse.com
- Fix for boo#911355
- Don't install init files when service files are installed
- Create symlinks for rcspamd and rcspampd when systemd is used
- Remove unnecessary cleanup section from spec files
* Fri Aug  1 2014 varkoly@suse.com
- bnc#889004 - Package 'spamassassin' contains 'SuSE' spelling in a filename and/or SPEC file
* Mon Jul  7 2014 ro@suse.de
- make init scripts executable to fix build
* Tue Feb 25 2014 jweberhofer@weberhofer.at
- Use perl(IO::Socket::IP) only for openSUSE 12.2+, because it requires
  a version minimum version of perl(IO::Socket) of 1.97 which is not available.
  Spamassassin will fallback to use perl(IO::Socket::INET6) or
  perl(IO::Socket::INET) instead.
* Thu Feb 13 2014 opensuse@dstoecker.de
- Update to 3.4.0
- INCOMPATIBLE CHANGES
  o DNS queries generated by SpamAssassin now enable option EDNS0 in query
    packets and specify a buffer size of 4096 bytes by default.
  o A default setting for option 'dns_available' was changed from 'test' to
    'yes' (bug 6770, bug 6769), so SpamAssassin now assumes by default that
    it is running on a host with an internet connection and a working DNS resolver.
- BUG FIXES
  o The sa-update program now avoids repeatedly downloading same rules if
    subsequent unpacking of rules and updating fails. Documented in bug 6655.
  o Several incompatibilities with newer versions of a perl module Net::DNS
    as used by sa-update and by the SpamAssassin library were fixed.
  o A perl module Razor agent clobbers entropy of a random number generator by
    re-initializing the generator on every call. The SpamAssassin Razor plugin
    now provides a workaround, preserving entropy across calls to Razor2 agent.
- NEW FEATURES
  o Redis database backend for a Bayes database
  o Improved support for IPv6
  o New command-line options:
  - -listen (or -i), spamd
    Can be specified multiple times and allows spamd to accept requests
    over multiple INET (IPv4) or INET6 (IPv6) or UNIX sockets.
  - X (or --unavailable-tempfail), spamc
    Allows return EX_TEMPFAIL instead of EX_UNAVAILABLE when using option -x.
  - 4 and -6 were added to programs spamassassin, spamd, spamc, and sa-update.
  - v or --verbose,  sa-update
    Can now take multiple -v or --verbose options to increase verbosity.
  - -max-size, sa-learn
  o New configuration options
  - Plugin/URIDNSBL: new tflags options 'a' and 'ns' were introduced. They are
    documented in the Mail::SpamAssassin::Plugin::URIDNSBL POD or man page.
  - Plugin/AutoLearnThreshold: new option autolearn_force was added. It is
    documented in the Mail::SpamAssassin::Plugin::AutoLearnThreshold POD or
    man page.
  - Plugin/ASN: new options asn_prefix and clear_asn_lookups were added.
    They are documented in Mail::SpamAssassin::Plugin::ASN POD or man page.
  - ArchiveIterator has new options opt_max_size and opt_from_regex. They are
    documented in Mail::SpamAssassin::ArchiveIterator POD or man page.
  - A new tag (macro) _RULESVERSION_ was added. It expands to a comma-separated
    list of rules versions, retrieved from an '# UPDATE version' comment in
    rules files and can be used in an 'add_header' configuration setting.
    The following new options, as implemented by various plugins or by
    other modules, are all documented in the Mail::SpamAssassin::Conf POD
    or man page:
  - Plugin/WLBLEval: new configuration options were added: enlist_uri_host,
    delist_uri_host, with shorthands blacklist_uri_host and whitelist_uri_host
    and an associated eval rule check_uri_host_listed.
  - Configuration options dns_query_restriction (allow|deny) and
    clear_dns_query_restriction were added (bug 6884).
  - A 'dns_options' setting accepts new sub-options 'dns0x20' and 'edns'.
  - Added option 'dns_server' which specifies an IP address of a recursive
    DNS server (i.e. DNS resolver) and optionally its port number.
  - Added options dns_local_ports_permit, dns_local_ports_avoid and
    dns_local_ports_none to control source port local ranges available to
    DNS queries
  - Added the following sub-options to the tflags setting: autolearn_force,
    maxhits=N, ips_only, domains_only, a, ns.
  - The option whitelist_from_rcvd can now take an IP address as its second
    argument (instead of a domain name), which can be useful for whitelisting
    a sending mailer which has no reverse DNS mapping.
  o New plugins
    A new plugin AskDNS was introduced.
* Fri Jan 31 2014 opensuse@dstoecker.de
- set default homedir to override invalid default in spampd file
* Sun Dec  8 2013 opensuse@dstoecker.de
- update spampd to version 2.42 (GIT version)
* Thu May 30 2013 crrodriguez@opensuse.org
- Do not use syslog.target or Requires in systemd units.
* Sat May 25 2013 opensuse@dstoecker.de
- increase maximum message size from 250 to 512 KB for spampd, as SPAM message size increased a lot
* Wed Mar 27 2013 stefan.jakobs@rus.uni-stuttgart.de
- remove 'BuildRequires: perl-macros' from spec file, because perl
  included in openSUSE > 1210 deprecates perl-macros which causes a
  build failure.
* Mon Feb 25 2013 mlin@suse.com
- Install spamd.service and spampd.service accordingly (/usr/lib/systemd
  for 12.3 and up or /lib/systemd for older versions).
* Wed Sep 26 2012 stefan.jakobs@rus.uni-stuttgart.de
- replace iXhash with the inofficial, but recommended, version iXhash2
* Wed Jul 11 2012 varkoly@suse.com
-  768582 - suse.cron-sa-update should allow to restart spamd after a successful run of sa-update
* Tue Jul  3 2012 varkoly@suse.com
- killproc can not stop spamd
* Tue Jun 26 2012 varkoly@suse.com
- Add systemd service files for spamd and spampd
  bnc#768581 - rcspamd stop doesn't terminate spamd
* Tue Dec 20 2011 varkoly@suse.com
- bnc#737637 - IPv6 support in spamassassin not functional
* Thu Oct  6 2011 varkoly@suse.com
- bnc#720220 - spampd, installed by pkg:spamassassin, FAILs to launch,
  uses non-existent/un-installed 'user'
* Fri Sep 16 2011 coolo@suse.com
- fix perl requires
* Fri Jun 24 2011 dmueller@suse.de
- update to 3.3.2:
  * various fixes, fix support with perl 5.12
- remove upstreamed patches
* Wed Apr 20 2011 varkoly@novell.com
- Fix the sa-update cronjob
* Sun Apr 10 2011 varkoly@novell.com
- bnc#676667 - sa-update cronjob should allow amavisd restart
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 12 2010 varkoly@novell.com
- bnc#650645 - Spamassassin Bug 6392
* Wed Oct 13 2010 chris@computersalat.de
- fix build
  o mkdir /etc/cron.daily ->
    {__install} -d $RPM_BUILD_ROOT/etc/cron.daily/
  o removed from filelist
    dir /etc/cron.daily/ (provided by filesystem)
* Fri Oct  8 2010 varkoly@novell.com
- Add script to call sa-update
* Wed Oct  6 2010 opensuse@dstoecker.de
- add missing requires for spampd
* Thu Jun 24 2010 varkoly@novell.com
- Update the rules
- Fix the spec file
- bnc#582111 - Spamassassin. spamd doesn't start.
* Thu Apr  1 2010 chris@computersalat.de
- update sa to 3.3.1
- update rules to 3.3.1.r923257
- cleanup spec
  o removed comments
- added deprecated patch for suse_version > 1120 (perl 5.12)
  o used stuff from combo patch
    https://issues.apache.org/SpamAssassin/show_bug.cgi?id=6392
- added MIMEEval patch
  o https://issues.apache.org/SpamAssassin/show_bug.cgi?id=6396
* Sun Mar 21 2010 chris@computersalat.de
- added perl-Net-Ident for Build/Recommends
- fix build for SLE_10
* Sat Mar 20 2010 chris@computersalat.de
- bzipped Source Mail-SpamAssassin-rules...
- removed patch4
  o Mail-SpamAssassin-3.2.5.diff
- build with ssl support
  o ENABLE_SSL="yes"
- renamed subpackages
  o perl-spamassassin > perl-Mail-SpamAssassin
  o new sub package perl-Mail-SpamAssassin-Plugin-iXhash
- fixed deps
  o moved most deps over to perl-Mail-SpamAssassin
- some rpmlint fixes
  o wrong-file-end-of-line-encoding {IXHASH}/CHANGELOG
  o fix build without RPM_OPT_FLAGS
* Fri Mar 19 2010 chris@computersalat.de
- cleanup spec
  o sort TAGS
  o redefine SOURCES
  - added iXhash-1.5.5.tgz
  - added spampd-2.20.tar.gz
  - removed iXhash.pm
  - removed spampd
  o macros
  - added perl-macros
  o cleanup install section
* Fri Mar 19 2010 opensuse@dstoecker.de
- updated iXhash module to 1.5.5
  - iXhash is now a sourceforge project (http://ixhash.sourceforge.net/)
* Thu Mar 18 2010 chris@computersalat.de
- added original SOURCES
  o spampd-2.20.tar.gz
- renewed Mail-SpamAssassin-3.3.0.tar.bz2
  o wget Mail-SpamAssassin-3.3.0.tar.gz + bznew
- some spec mods
  o macros {__make}, {__install} ...
  o perl_make_install
  o added check
- some rpmlint fixes
  o invalid-suse-version-check 1120
* Wed Mar 17 2010 opensuse@dstoecker.de
- update to 3.3.0
- add ixHash module (not activated by default)
- add additional spampd tool
  - better performance than spamd
- fixed deps
  - added perl-NetAddr-IP
- fixed Summary
* Sun Jan  3 2010 dmueller@suse.de
- apply rules update (bnc#567849)
* Thu Dec 24 2009 coolo@novell.com
- fix install
* Tue Nov 10 2009 varkoly@suse.de
- bnc#551880 – spamassassin package should require re2c
- bnc#552035 – install of spamassassin corrupts /etc/sysconfig/spamd
* Mon Jan 26 2009 coolo@suse.de
- no reason to hide the init-script from !root
* Fri Nov  7 2008 varkoly@suse.de
- (bnc#440529) - spamd init-script should support reload
* Wed Sep 10 2008 varkoly@suse.de
- (bnc#420649) - rcspamd restart is broken
* Tue Jul  1 2008 varkoly@suse.de
- update to 3.2.5
  * bug 5775: newer gpg versions require keys to be cross-certified (backsig).
  * bug 5899: add perl version string to the storage area for compiled rulesets,
    to avoid crashes when perl is upgraded between major versions (e.g perl 5.8.x to 5.10.0) and the ABI breaks
  * bug 5496, bug 5910: clear some FORGED_MUA_OUTLOOK false positives, particularly
    on the new-format Message-ID generated by the Outlook Express version used in Windows XP service pack 3
  * bug 5730: when using Postgres >= 8.1.0 with Bayes, this error occurs:
    'WARNING:  nonstandard use of \ in a string literal at character'.
  * bug 5769: fix 'sa-compile: eval failed: Can't find label NO' error, caused
    in rare circumstances when sa-compile attempted to deal with rules written using 'replace_rules' features
  * bug 5858: fix circular reference memory leak caused by some messages
  * bug 5815: update 2TLD list to include .rs CCTLD
  * bug 4706: remove HG_HORMOME rules due to poor performance
  * bug 5835: typo in POD docs for SPF plugin; thanks to Benny Pedersen for fix
  * bug 5839: a missing or failed eval rule function could mistakenly count as a rule hit, fixed
  * trivial bugfix for the VBounce ruleset: __BOUNCE_FROM_DAEMON incorrectly used + instead of *,
    so some From addresses were not being recognised as bounce senders
* Tue Jan  8 2008 varkoly@suse.de
- update to 3.2.4:
  * bug 5599: allow load distribution of SA nameserver queries across all
    nameservers listed in resolv.conf, using 'dns_options rotate'. thanks to
    Pawel Sasin <hannibal /at/ wp-sa.pl>
  * bug 5673: 'ALL' header was including spurious extra spaces between header
    names and values.  fix
  * bug 5594: several major sa-compile fixes.  major increase in overall speed;
    cache results between runs to further increase speed; and fix a danger of
    massive memory usage
  * bug 5556: fix a variety of sa-compile portability issues, and support for
    5.6.x perls
  * bug 5514: make 'score set for a non-existent rule' a debug message, instead
    of a lint warning, since it's a very frequent FAQ
  * bug 5493: sa-compile fails to correctly deal with escaped backslashes.  fix
  * bug 5672: remove DNS_FROM_SECURITYSAGE (DNSBL lookups against
    securitysage.com) due to unreliability
  * bug 5476: update Bonded Sender (now Sender Score Certified) rules, and add
    a rule for their strictly-confirmed-opt-in-required zone
  * bug 5538: remove FORGED_MUA_AOL_FROM and FORGED_AOL_TAGS entirely; they're
    obsolete, given the current capabilities of AOL mail user agents
  * bug 5632: remove all completewhois.com DNSBL lookups, site seems to have
    disappeared without warning
  * bug 5715: allow for more than one sa-update MIRRORED.BY file host in DNS,
    for redundancy
  * bug 5662: DKIM changes: recognize author signature and multiple signatures
    for whitelisting (with Mail::DKIM 0.29); disable useless
    "check_dkim_signsome"; new eval rules "check_dkim_valid_author_sig" and
    "check_dkim_valid" (an alias for a "check_dkim_verified" misnomer); new
    tags _DKIMIDENTITY_ and _DKIMDOMAIN_; updated terminology; verification
    speedup with Mail::DKIM 0.30 (or its pre-releases)
  * bug 5696: sa-compile: cut regexp base strings at Unicode high codepoints,
    to avoid corruption of patterns containing UTF-8
  * bug 5637: bayes_file_mode is handled incorrectly when creating bayes.mutex,
    resulting in incorrect permissions on that file; fix by Mihaly Barasz
  * bug 5612: DB_File version 4.2.x has a bug that loops infinitely if files
    named '__db.{filename}' are present; work around.  thanks to J. Nick Koston
    for the report and fix
  * bug 5606: too-early init_learner() call causes root's user prefs file to be
    read when spamd is started; this is inappropriate. fix
  * bug 4179: if allow_user_rules is 1, user rules are not unique to each user;
    one user's user rules can appear in later scans for other users that are
    run using the same spamd process. fix
  * bug 5680: ALL_TRUSTED can fire if a trusted MSA or webmail system receives
    the message from an untrusted X-Originating-IP: header. fix
  * bug 5626: in the 'spamassassin' script, install a signal handler for
    SIGHUP, SIGINT, SIGTERM and SIGPIPE to ensure that temporary files are
    removed
  * bug 5557: some temporary files are left not cleaned up on Windows; fix
  * bug 5661: speed up Bayes SQL queries by allowing the use of indexes when
    expiring
  * bug 5611: support 'spamd --nouser-config -u username', which setuids to
    'username' but does not read user_prefs files from anywhere
  * bug 5665: spamd may fail to notice that a child has completed exiting, and
    keeps in the child list in state 'K', eventually filling up the child list
    with 'ghost' children.  fix
  * bug 5735: spamc should allow retry_sleep 0
  * bug 5728: spamd: require -u with --sql-config or --ldap-config
  * bug 5682: remove FH_HOST_ALMOST_IP, FH_HOST_EQ_D_D_D_D, due to false
    positives and redundancy with RDNS_DYNAMIC; remove FH_HOST_EQ_D_D_D_DB due
    to no hits
  * bug 5681: look up IP addresses found in 'X-Yahoo-Post-IP' and 'X-SenderIP'
    headers, too, thanks to Martin Blapp
  * Bug 5589: Refined async events handling and DNS lookup completions
  * bug 5586: RDNS_NONE has false positives if the MTA doesn't put the hostname
    in the Received header, like Communigate Pro. add an exception for this
  * bug 5748: fix locale problem with use of external sort in sa-compile
* Sun Aug 12 2007 varkoly@suse.de
- update to 3.2.3:
  * bug 5574: fix new setuid code to work with perl 5.6.1, and to support DCC and
  Pyzor in all releases of perl
  * bug 5107: change default 'user_scores_ldap_username' to be the null string,
  allowing anonymous binding; fix 'schema' syntax error in LDAP config support
  * zeroing an 'eval' rule's score did not stop it running.  fix, thanks to
  Richard Birkett <richard+spamassassin at musicbox.net>
  * bug 5571: allow for new message ID format we have seen from Vista or Windows
  2003 Server MAPI to avoid false positives
  * bug 5397: RDNS_DYNAMIC should never fire on a PTR with 'static' in it; thanks
  to Martin Blapp <mbr at freebsd.org>.  bug 5563: RDNS_DYNAMIC rules use
  order-dependent fields where it is unsafe to depend on this, fix.  bug 5564:
  __RDNS_DYNAMIC_IPADDR does not hit all of its test patterns, fix.
  * bug 5475: fix FORGED_MUA_AOL_FROM to allow <*@{aol,cs}.*> addresses instead
  of just <*@{aol,cs}.com>
* Thu Aug  2 2007 dmueller@suse.de
- update to 3.2.2:
  * bug 5548: Certain mail input can take a long time to scan with 100%% CPU
  utilisation, due to backtracking in a rule's regexp. fix
  * bugs 5510, 5518, 5529: fix 'make test' when running as root, needed for CPAN
  * bug 5419: kill -HUP of pidof spamd causes the ps name to change from spamd
  to perl. fixed
  * bug 5535: 'make test' errors in Windows caused by nonportable use of
  getpwuid
  * bug 5462: multiple DNS records for a host name should allow use of spamd -H
  for load balancing installs to work
  * bugs 5509, 5511: fix network lookup timeouts, where lookups were being lost
  once a timeout was hit; also fix code to match documentation on
  rbl_timeout's scaling and minimum duration of 1 second; and attempt to
  collect already-received DNS responses when the timeout is reached; improve
  related debugging output. Thanks to Mark Martinec
  * bugs 5412, 5478, 5522: Fix problems using the spamc -x option with certain
  other options; 'spamc -x -R' always returned 0, instead of the exit code, on
  error.  Bug 5478: in addition, 'spamc -x -e /command' would still run the
  command, even if errors meant that the filtered text would be unavailable,
  which contradicted -x.
  * bug 5445: body eval tests defined in user_rules cause ugly 'Subroutine
  _eval_tests_type11_prineg400_set3 redefined' warnings
  * bug 5355: add in new entries for RegistrarBoundaries
  * bug 5515: libsslspamc.so & libsslspamc.so can not build without -fPIC, but
  we were picking up the wrong CFLAGS to do this.
  * bug 5501: zero score for FH_HAS_XID
  * bug 5449: allow_user_rules causes sa-compile / Rule2XSBody plugin to emit
  spurious warnings; fix.  also, add a new 'user_conf_parsing_end' plugin
  hook, which is called after the per-user configuration is parsed
  * bug 5182: update the sa-learn doc to mention that -u is only usable w/ sql
  * bug 5534: fix harmless-but-ugly C compiler warning in sa-compile
* Thu Jul 26 2007 varkoly@suse.de
- #278626 - SpamAssassin + Mailman + The Bat! = false positive
* Thu Jun 14 2007 varkoly@suse.de
- UPDATE to version 3.2.1
- bug 5480: fix for CVE-2007-2873: a local user symlink-attack DoS
  vulnerability. It only affects systems where spamd is run as root, is used
  with vpopmail or virtual users via the "-v"/"--vpopmail" OR
  "--virtual-config-dir" switch, AND with the "-x"/"--no-user-config AND
  WITHOUT the "-u"/"--username" switch AND with the "-l"/"--allow-tell" switch.
  This is not default on any distro package, and is not a common configuration.
  More details of the vulnerability can be read at
  <http://spamassassin.apache.org/advisories/cve-2007-2873.txt>.
- bug 5488: zero some rules causing false positives: FH_HOST_EQ_D_D_D_DB and
  FH_HOST_EQ_D_D_D_D.
- bug 5257: re-raise autolearn ham threshold to 1.0; the lower value
  used in 3.2.0 was creating problems.
- bug 5422: in spamd, deleting hash entries from the SIGCHLD signal handler is
  unsafe, causes corruption of the data structure, and results in 'prefork:
  ordered child N to accept, but they reported state '1', killing rogue'
  errors.  fix.
- bug 5102: tighten up regexp for FORGED_HOTMAIL_RCVD to avoid some FPs.
- bug 5457: spamc build and test should handle not having zlib available.
- bug 5379: spamd could crash at startup if its preloading temporary directory
  already exists. fix.
- bug 4616: spamc config can cause command line options to be ignored. fix.
- bug 5485: zero score DK/DKIM_POLICY_SIGNSOME rules since they'll always fire
  due to defaults (unless there's an explicit SIGNALL policy).
- bug 5492: VBounce rule was looking in header instead of body for whitelisted
  relays. fix.
- bug 5487: prevent multiple "urirhssub"s using the same zone from overwriting
  each other.
- bug 5432 - Change default in Win32 build to not build spamc.
- bug 5446: add --updatedir option to sa-compile and remove inaccurate re2c
  required version info from pod.
- bug 5436: add omitted "ifplugin" statements to the configuration, which would
  otherwise cause lint errors if the default plugins were disabled.
- bug 5477: prevent Rule2XSBody info message from appearing on stderr during
  spamd startup.
* Thu May  3 2007 varkoly@suse.de
- update to 3.2.0
    Summary of major changes since 3.1.8
  - -----------------------------------
    Changes to the core code:
  * new behavior for trusted_networks/internal_networks: the 127.* network
    is now always considered trusted and internal, regardless of configuration.
  * bug 3109: short-circuiting of 'definite ham' or 'definite spam' messages
    based on individual short-circuit rules using the 'shortcircuit' setting,
    by Dallas Engelken <dallase /at/ uribl.com>.
  * bug 5305: implement 'msa_networks', for ISPs to specify their Mail Submission
    Agents, and extend network trust accordingly.
  * bug 4636: Add support for charset normalization, so rules can be written
    in UTF-8 to match text in other charsets.
  * sa-compile: compilation of SpamAssassin rules into a fast parallel-matching DFA,
    implemented in native code.
  * "tflags multiple": allow writing of rules that count multiple hits in a single message.
  * bug 4363: if a message uses CRLF for line endings, we should use it as well,
    otherwise stay with LF as usual; important for Windows users.
  * bug 4515: content preview was omitting first paragraph when no Subject: header was present.
  * The third-party modules used by sa-update are now required by the SpamAssassin package,
    instead of being optional.
  * Bug 5165: 'sa-update --checkonly' added to check for updates without applying them;
    thanks to <anomie /at/ users.sourceforge.net>
  * Bugs 4606, 4609: Adjust MIME parsing limits for nested multipart/* and message/rfc822 MIME parts.
  * bug 5295: add 'whitelist_auth', to whitelist addresses that send mail using
    sender-authorization systems like SPF, Domain Keys, and DKIM
  * Removed dependency on Text::Wrap CPAN module.
  * Received header parsing updates/fixes/additions.
    Spamc / spamd:
  * bug 4603: Mail::SpamAssassin::Spamd::Apache2 -- mod_perl2 module, implementing spamd
    as a mod_perl module, contributed as a Google Summer of Code project by Radoslaw Zielinski.
  * bug 3991: spamd can now listen on UNIX domain, TCP, and SSL sockets simultaneously.
    Command-line semantics extended slightly, although fully backwards compatibly;
    add the --ssl-port switch to allow TCP and SSL listening at the same time.
  * bug 3466: do Bayes expiration, if required, after results have been passed back
    to the client from spamd; this helps avoid client timeouts.
  * more complete IPv6 support.
  * spamc: Add '-K' switch, to ping spamd.
  * spamc: add '-z' switch, which compresses mails to be scanned using zlib compression;
    very useful for long-distance use of spamc over the internet.
  * bug 5296: spamc '--headers' switch, which scans messages and transmits back just rewritten headers.
    This is more bandwidth-efficient than the normal mode of scanning, but only works for 'report_safe 0'.
  * Bump spamd's protocol version to 1.4, to reflect new HEADERS verb used for '--headers'.
    Mail::SpamAssassin modules and API:
  * bug 4589: allow M::SA::Message to use IO::File objects to read in message (same as GLOB).
  * bug 4517: rule instrumentation plugin hooks, to measure performance,
    from John Gardiner Myers <jgmyers /at/ proofpoint.com>.
  * add two features to core rule-parsing code; 1. optional behaviour to recurse through subdirs
    looking for .cf/.pre's, to support rules compilers working on rulesrc dir.  2. call back
    into invoking code on lint failure, so rule compiler can detect which rules exactly fail the lint check.
  * bug 5206: detect duplicate rules, and silently merge them internally for greater efficiency.
  * bug 5243: add Plugin::register_method_priority() API, allowing plugins to control the relative
    ordering of plugin callbacks relative to other plugins' implementations.
  * Reduced memory footprint.
    Plugins:
  * bug 5236: Support Mail::SPF replacement for Mail::SPF::Query.
  * bug 5127: allow mimeheader :raw rules to match newlines and folded-header whitespace
    in MIME header strings.
  * bug 4770: add ASN.pm plugin, contributed by Matthias Leisi <matthias at leisi.net>
  * bug 5271: move ImageInfo ruleset into 3.2.0 core rules, thanks to Dallas Engelken <dallase /at/ uribl.com>.
  * VBounce ruleset and plugin: detect spurious bounce messages sent by broken mail systems
    in response to spam or viruses.  (Based on Tim Jackson's "bogus-virus-warnings.cf" ruleset.)
  * DomainKeys/DKIM: Mail::DKIM is now preferred over Mail::DomainKeys, since the latter module
    is no longer actively maintained, and Mail::DKIM can handle both DomainKeys and DKIM signatures.
  * DKIM: separate signature verification from fetching a policy: can save a DNS lookup for each
    unverified message by setting score to 0 for all policy-related rules (DKIM_POLICY_SIGNALL,
    DKIM_POLICY_SIGNSOME, and DKIM_POLICY_TESTING). (thanks to Mark Martinec)
  * DKIM: support testing flags in the public key, as well as in the policy record. (thanks to Mark Martinec)
  * DKIM: skip fetching a policy (SSP) if a signature does verify, according to draft-allman-dkim-ssp-02
    (thanks to Mark Martinec)
  * Move rule functionality and checking into separate Check plugin, allowing third parties
    to implement alternative scanner core algorithms.
  * core EvalTests code moved into various plugins.
  * Plus lots of miscellaneous bug fixes.
* Fri Apr 20 2007 meissner@suse.de
- removed bad /tmp usage.
* Wed Mar 28 2007 varkoly@suse.de
- #249652 - spamassassin missing dependencies
* Mon Feb 19 2007 dmueller@suse.de
- update to 3.1.8:
  * fix for CVE-2007-0451: possible DoS due to incredibly
    long URIs found in the message content.
  * disable perl module usage in update channels unless
  - -allowplugins is specified
  * files with names starting/ending in whitespace weren't usable
  * remove Text::Wrap related code due to upstream issues
  * update spamassassin and sa-learn to better deal with STDIN
  * improvements and bug fixes related to DomainKeys
    and DKIM support
  * several updates for Received header parsing
  * several documentation updates and random taint-variable related
    issues
* Fri Feb  9 2007 varkoly@suse.de
- fixing: Bug 225248 - Problem in SpamAssassin: if spamassassin configuration
  is stored in postgresql the search in the table userpref delivers
  results in wrong order.
- fixing: Bug 218272 - SpamAssassin URIDNSBL plugin tries to lookup
  libraries (libimf.so, liblua.so, ...) via nameserver
* Fri Dec 22 2006 varkoly@suse.de
- Enhancing local.cf for the plugin Mail::SpamAssassin::Plugin::URIDNSBL
  to skip the novell and suse domains from spam checks and to give
  examples for problems like #218272 "SpamAssassin URIDNSBL plugin tries to
  lookup libraries (libimf.so, liblua.so, ...) via nameserver"
* Mon Dec  4 2006 dmueller@suse.de
- update to "hot-fix" 3.1.7:
  * fix sa-update failure when rule scores ae set
* Wed Nov 15 2006 varkoly@suse.de
- fixing bug: 215722 BUG in archive PgSQL.pm (SpamAssassin)
* Mon Oct  9 2006 varkoly@suse.de
- update to version 3.1.6: This is a maintenance release of the 3.1.x branch.
  * fixes to bug in date handling affecting DATE_IN_FUTURE_*
  and DATE_IN_PAST_* rules when more than one Resent-Date header is
  present
  * include local site config in sa-update lint checks
  * fix race condition in spamd preforking code that sometimes left
    one child process running after SIGHUPing spamd
  * unescape hash characters in the config
  * fix false SPF_SOFTFAIL's when SPF queries timeout
  * update RCVD_ILLEGAL_IP evaltest to properly deal with 127/8
  * enable adding headers with single digit zero value
  * add support for ecelerity Received headers
  * fix a bug, introduced in 3.1.5, in mbx code
  * M::SA::Client doesn't always catch failed connection
    to spamd, fixed
* Sun Aug  6 2006 dmueller@suse.de
- update to version 3.1.4:
  * bug 4941: if the first sa-update run failed and wasn't re-run to successful
  completion, the local state directory would exist, and therefore SA sees no
  rules.  now, wait as long as possible to create the directory, and try to
  remove it on failure.
  * bug 4997: increase module version requirements for Archive::Tar to 1.23 and
  IO::Zlib to 1.04
  * bug 4966: fix major BSMTP bug, which rendered SA unusable with exim4 when
  BSMTP is used.
  * bug 4899: Windows had issues with single quotes around filenames so certain
  things like pyzor, etc, wouldn't function.
  * bug 4958: sa-update should work on Windows
  * bug 4908: gtube.t test failed in non-english locales
  * bug 4488: deal with potential memory leak due to Bayes and BayesStore
  circular references
  * bug 4862: update macro values in update channels
* Thu Jun 22 2006 ro@suse.de
- remove selfprovides
* Fri Jun  9 2006 varkoly@suse.de
- * Fixing Requiers tag in spec file
    The missed packages are: perl-libwww-perl and perl-IO-Zlib
* Tue Jun  6 2006 varkoly@suse.de
- update to version 3.1.3:
  * #181157: VUL-0: spamassassin: remote root
  * 4879: add in pointer to the wiki to find out more about debug channels
* Mon May 29 2006 dmueller@suse.de
- update to version 3.1.2:
  * bug 4802: implement DKIM plugin, including whitelist_from_dkim support
  * bug 3838: work around Perl bug causing captured RE variables to become
  tainted -- thanks to Mark Martinec for pointing out the bug with
  Perl itself
  * bug 4850: re-enable the Razor2 plugin by default due to a service
  policy change
  * bug 4826: Razor2 plugin needs to load Mail::SpamAssassin::Timeout module
  * bug 4827: M::SA::first_existing_path() would return the last array
  entry passed in if none of the paths were found.  Now return undef
  instead and handle the error when it happens.
  * bug 4813: generally open RE causes sendmail received header get read
  in as qmail in error
  * bug 4839: Logger.pm converts control chars including tab into
  underscores which confuses a bunch of users when checking debug output.
  Convert tab into space instead, etc.
  * bug 4884: if a null message is passed in, there are several variables
  which end up undefined causing warnings.  fake an empty message if no
  input is given.
  * bug 4793: when replacing tags in a message (_TAG_), leave the tags
  that don't exist alone instead of just removing them
  * bug 4861, 4760: handle dccifd and dccproc failover properly, backport
  relays_internal and relays_external code, backport bug 4760 fix so
  that it's not possible to be in internal_networks without being in
  trusted_networks as well
  * bug 4901: deal more properly with failures in bgsend().  also, use
  the proper variable to show when errors occur.
  * bug 4867: fetchmail changed header formats at some point making Received
  parsing fail in certain conditions
  * bug 4699: use M::SA::Timeout for spamd copy_config call and allow
  for empty $@ values
  * bug 3754: if there's a problem opening a file via sa-learn or
  spamassassin, return an error exit value.
* Fri Mar 17 2006 dmueller@suse.de
- Adjust BuildRequires
* Tue Mar 14 2006 dmueller@suse.de
- update to version 3.1.1:
  * bug 4760: strictly validate trusted network configurations
  * bug 4363: honor CRLF settings
  * bug 4748: Update rules to catch Google redirector
  * bug 4791: fix handling of invalid encoded utf8 messages
  * bug 4809: add TLD for Greece
  * bug 4606: Adjust MIME parsing limits (possible DoS)
  * bug 4795: Improved validation of the score option
  * fix fd leak in Bayes token DB handling
  * bug 4780: fix IP_ADDRESS & LOCALHOST IPv6 support
  * bug 4735: lack of network interfaces crashes in DnsResolver.pm.
  * bug 4700: prevent arbitrary code injection
  * bug 4704,4686,4627,4690: Fixed Received: headers parsing
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 varkoly@suse.de
- fixing bug #138545
* Thu Jan 12 2006 varkoly@suse.de
- fixing bug #141557
* Wed Oct 26 2005 choeger@suse.de
- bugfix for init-script: tell spamd to use a pidfile
* Fri Sep 16 2005 choeger@suse.de
- update to version 3.1.0
* Mon Aug  8 2005 ug@suse.de
- fixed a license problem.
  See Bug #102221
* Thu Jun 23 2005 meissner@suse.de
- use RPM_OPT_FLAGS (for spamc).
* Wed Jun  8 2005 choeger@suse.de
- Update to version 3.0.4
* Mon May  2 2005 choeger@suse.de
- Update to version 3.0.3
* Fri Apr 22 2005 choeger@suse.de
- Bugfix ID#79285 - spamd: "short" description missing
* Wed Jan 12 2005 choeger@suse.de
- cleaned up build process, now properly using ExtUtils::MakeMaker
  following the PACKAGING readme
* Mon Dec 20 2004 choeger@suse.de
- Update to version 3.0.2
* Thu Nov 25 2004 choeger@suse.de
- removed superfluous line:
  test -d /root/.spamassassin || mkdir /root/.spamassassin
  from init script
* Tue Oct 26 2004 choeger@suse.de
- Update to version 3.0.1
- specfile can now also be used on older SuSE Linux versions
* Thu Sep 23 2004 choeger@suse.de
- Update to version 3.0.0
* Fri Aug  6 2004 meissner@suse.de
- Upgraded to security / bugfix release 2.64. #43546
* Sat Mar 27 2004 ro@suse.de
- added directory /etc/mail to filelist
* Tue Jan 27 2004 choeger@suse.de
- Update to version 2.63
* Sat Jan  3 2004 mmj@suse.de
- References to %%version have to go below the Version: tag
* Wed Dec 31 2003 mmj@suse.de
- Update to version 2.61
* Sun Dec  7 2003 mmj@suse.de
- The perl-spamassassin version should be the same as the spam-
  assassin version.
* Sat Oct 18 2003 mmj@suse.de
- Not necessary to explicitly tell SA not to query Osirusoft
  blocklist anymore
* Fri Oct 17 2003 mmj@suse.de
- Don't build as root
- Update to version 2.60
* Tue Oct 14 2003 choeger@suse.de
- Bugfix Bugzilla ID#32025, spamd is not started because of a bug
  in the init-script
- Bugfix Bugzilla ID#31867, spamassassin -lint reports errors because
  of outdated local.cf configuration options
* Thu Sep  4 2003 choeger@suse.de
- Michael fixed MakeMaker PITA again
* Tue Sep  2 2003 choeger@suse.de
- Don't query Osirusoft blocklist anymore, see
  http://news.spamassassin.org/modules.php?op=modload&name=News&file=article&sid=44&mode=thread&order=0&thold=0 for more details.
  Bugzilla ID#29566
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Aug 14 2003 choeger@suse.de
- Bugfix Bugzilla ID#28942:
  missing activation metadata in sysconfig template
* Wed Jul 30 2003 choeger@suse.de
- new macros for stop/restart of services on rpm update/removal
* Thu Jul 17 2003 choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jul  1 2003 choeger@suse.de
- don't use PREFIX in 'perl Makefile.PL'
- don't set LOCAL_RULES_DIR using %%buildroot as prefix
* Tue Jun 17 2003 choeger@suse.de
- updated filelist
* Wed May 28 2003 choeger@suse.de
- Update to 2.55
* Tue May 13 2003 mmj@suse.de
- Update to 2.54
- Move %%defattr to cover all files
- Remove unwanted files
* Sun Apr  6 2003 mmj@suse.de
- Update to version 2.53 which fixes some major bugs in earlier
  2.5x releases
* Fri Mar 28 2003 mmj@suse.de
- spamassassin and perl-spamassassin should not both own
  /etc/mail/spamassassin/local.cf
* Tue Mar 25 2003 adrian@suse.de
- update to version 2.52
* Mon Mar 24 2003 adrian@suse.de
- use pid files in runlevel script (patch from Dirk Mueller #25767)
* Sun Mar 23 2003 coolo@suse.de
- adding perl-HTML-Parser to neededforbuild
* Fri Mar 21 2003 adrian@suse.de
- update to version 2.51
* Sun Mar  2 2003 mmj@suse.de
- Disabling HABEAS_HIL test turned out to be just a bandaid. It still
  stalls for longer periods, so add "-L" switch so it only performs
  local tests. Subsequently remove the score HABEAS_HIL 0 in local.cf.
* Tue Feb 25 2003 mmj@suse.de
- Disable the HABEAS_HIL test (sender is on www.habeas.com Habeas
    Infringer List) since it made each test last ~30 seconds.
- Default-Start: should be "3 5" not ""
* Fri Feb 21 2003 adrian@suse.de
- update to version 2.50
  * fixing crash on x86_64 [#22015]
* Thu Feb 20 2003 mmj@suse.de
- Add sysconfig metadata [#22690]
* Mon Feb  3 2003 adrian@suse.de
- update to version 2.44
  * obsoletes security fix
* Wed Jan 29 2003 adrian@suse.de
- update to version 2.43
* Tue Jan 28 2003 draht@suse.de
- remove off-by-one bo -> spamassassin-ob1-security.diff
* Tue Oct 15 2002 ro@suse.de
- fixed requires typo
* Tue Oct  8 2002 adrian@suse.de
- add missing requires
- update to version 2.42
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Mon Jul 29 2002 mls@suse.de
- fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 choeger@suse.de
- update to most recent version
- added perl-Time-HiRes to requires
- removed DOSWIN_EXECUTABLE patch
  http://sourceforge.net/mailarchive/message.php?msg_id=1606621
* Fri May 10 2002 garloff@suse.de
- Add rule to filter mails with files having names with DOS/Win
  suffixes (DOSWIN_EXECUTABLE), default score 4.6
- Provide init script for spamd
- Install READMEs as %%doc
- Move spamc/d/proxy/assassin man pages to spamassassin package
- Configuration of spamd in sysconfig/spamd
* Wed May  8 2002 garloff@suse.de
- Update to version 2.20.
* Tue Apr 16 2002 draht@suse.de
- fix file list (/usr/share/spamassassin)
  add more convenient defaults to /etc/mail/spamassassin/local.cf
* Tue Apr  9 2002 draht@suse.de
- initial package, version 2.11.
